Skip to:
Content

bbPress.org

Opened 4 years ago

Closed 4 years ago

#2893 closed enhancement (fixed)

npm check-dependencies

Reported by: netweb Owned by: netweb
Milestone: 2.6 Priority: normal
Severity: normal Version:
Component: Tools - Build Keywords: has-patch commit
Cc:

Description

Via #BuddyPress6756

I think we should introduce the check-dependencies NPM package into our Grunt workflow. It checks if currently installed NPM dependencies are the same versions that are specified in the package.json.

whether it's a version bump or a new package, one can forget to invoke npm install (or bower install) and continue using the application, possibly encountering errors caused by obsolete package versions. To avoid it, use the check-dependencies module at the top of the entry point of your application; it will inform about not up-to-date setup and optionally install the dependencies.

https://github.com/mzgol/check-dependencies

Attachments (1)

2893.diff (1.3 KB) - added by netweb 4 years ago.

Download all attachments as: .zip

Change History (3)

@netweb
4 years ago

#1 @netweb
4 years ago

  • Keywords has-patch commit added

#2 @netweb
4 years ago

  • Owner set to netweb
  • Resolution set to fixed
  • Status changed from new to closed

In 5964:

Tools: Add the grunt-check-dependencies npm module.

This changeset adds the Grunt task checkDependencies via https://www.npmjs.com/package/grunt-check-dependencies to check the currently npm installed modules against the required modules semantic version listed in package.json, if the check fails a prompt to update installed npm modules is displayed and is required before other Grunt tasks can be run.

Run npm install after updating your repo to install the module and task.

Props netweb.
Fixes #2893.

Note: See TracTickets for help on using tickets.